Subject: Re: ppc LE questions (seeking help hand info pointers)

From: Ralph Blach <[email-masked]>
Date: Fri, 21 Sep 2001 06:38:23 -0400

One the 405 processors, with the endian bit set, the data is will be
true little endian.

Chip

Holger Bettag wrote:
>
> Mark Salisbury <[email-masked]> writes:
>
> [... linux in ppc little endian mode ...]
> > well, this is in the context of a multi-CPU type (x86/ppc, sparc/ppc,
> > ppc/ppc, mips/ppc) shared memory multicomputer.
> >
> > when dealing w/ direct mapped, shared memory, uniformity of endian-ness
> > makes many multicomputer problems easier to solve.(not to mention easier
> > for the customer to program...)
> >
> You are aware that a PPC in little endian mode is merely tricking with the
> low order address bits, but does not actually lay out its data in a little
> endian fashion in physical memory?
>
>   Holger
>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/